Skip to main content
DELETE
/
projects
/
{project_reference}
/
branches
/
{branchId}
Delete Branch
curl --request DELETE \
  --url https://api.veryfront.com/projects/{project_reference}/branches/{branchId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "deleted_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
branchId
string<uuid>
required

Branch ID (UUID)

Response

Branch deleted successfully

success
boolean
required
deleted_branch_id
string<uuid>
required